Subject: Re: bug#21963: Spurious byte compile message: "Warning: the function `bar' might not be defined at runtime."

From: Alan Mackenzie <[email-masked]>
Date: Mon, 30 Sep 2019 18:22:27 +0000

Hello, Stefan.

On Sun, Sep 29, 2019 at 23:24:29 +0200, Stefan Kangas wrote:
> Alan Mackenzie <[email-masked]> writes:

> > On Fri, Nov 20, 2015 at 08:44:56AM -0800, John Wiegley wrote:
> >> >>>>> Alan Mackenzie <[email-masked]> writes:

> >> > While eval-when-compile'ing the first line, the byte compiler collects a
> >> > list of symbols defined by it (in variable
> >> > byte-compile-noruntime-functions). More or less.

> >> > There is no mechanism for taking symbols off of that list when they
> >> > subsequently become defined.

> >> Not optimal, but I must ask: Should it be fixed? Or, for now, simply noted in
> >> the elisp manual when discussing the merits of this warning?

> > I think it should be fixed.  It will eliminate warnings from CC Mode (at
> > the very least).

> > I am working on it as we speak.  I expect to produce a patch for review
> > soon.

> Hi Alan,

> That was four years ago.  Did you finish the patch which would resolve
> this issue?

Yes, I did indeed; with this patch:

acb96f2718ccb0d36af514ce63b5decf0f24a697
Squashed commit of the following: .....
Tue Nov 24 17:37:49 2015 +0000

Sorry I forgot to close the bug.

> Best regards,
> Stefan Kangas

-- 
Alan Mackenzie (Nuremberg, Germany).